<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}

// استرجاع البيانات من قاعدة البيانات
$grades = $conn->query("SELECT * FROM grades");
$violations = $conn->query("SELECT * FROM violation_types");
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>لوحة التحكم - نظام رصد المخالفات</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="dashboard">
        <h2>نظام رصد المخالفات السلوكية</h2>
        
        <div class="violation-form">
            <form id="violationForm">
                <div class="form-group">
                    <label>المرحلة الدراسية</label>
                    <select id="grade" name="grade" required>
                        <option value="">اختر المرحلة</option>
                        <?php while($grade = $grades->fetch_assoc()): ?>
                            <option value="<?php echo $grade['id']; ?>"><?php echo $grade['name']; ?></option>
                        <?php endwhile; ?>
                    </select>
                </div>

                <div class="form-group">
                    <label>الصف</label>
                    <select id="class" name="class" required>
                        <option value="">اختر الصف</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>الطالب</label>
                    <select id="student" name="student" required>
                        <option value="">اختر الطالب</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>نوع المخالفة</label>
                    <select id="violation" name="violation" required>
                        <option value="">اختر المخالفة</option>
                        <?php while($violation = $violations->fetch_assoc()): ?>
                            <option value="<?php echo $violation['id']; ?>" 
                                    data-degree="<?php echo $violation['degree']; ?>">
                                <?php echo $violation['name']; ?>
                            </option>
                        <?php endwhile; ?>
                    </select>
                </div>

                <div class="form-group">
                    <label>درجة المخالفة</label>
                    <input type="text" id="violationDegree" readonly>
                </div>

                <div class="form-group">
                    <label>الإجراء المتخذ</label>
                    <div id="procedures"></div>
                </div>

                <button type="submit">حفظ المخالفة</button>
            </form>
        </div>
    </div>

    <script src="js/script.js"></script>
</body>
</html>