document.addEventListener('DOMContentLoaded', function() {
  // التعامل مع تغيير المرحلة الدراسية
  document.getElementById('grade').addEventListener('change', function() {
    loadClasses(this.value);
  });

  // التعامل مع تغيير الصف
  document.getElementById('class').addEventListener('change', function() {
    loadStudents(this.value);
  });

  // التعامل مع تغيير نوع المخالفة
  document.getElementById('violation').addEventListener('change', function() {
    const degree = this.options[this.selectedIndex].dataset.degree;
    document.getElementById('violationDegree').value = degree;
    loadProcedures(this.value);
  });

  // تحميل الصفوف
  function loadClasses(gradeId) {
    fetch(`get_classes.php?grade_id=${gradeId}`)
      .then(response => response.json())
      .then(data => {
        const classSelect = document.getElementById('class');
        classSelect.innerHTML = '<option value="">اختر الصف</option>';
        data.forEach(cls => {
          classSelect.innerHTML += `<option value="${cls.id}">${cls.name}</option>`;
        });
      });
  }

  // تحميل الطلاب
  function loadStudents(classId) {
    fetch(`get_students.php?class_id=${classId}`)
      .then(response => response.json())
      .then(data => {
        const studentSelect = document.getElementById('student');
        studentSelect.innerHTML = '<option value="">اختر الطالب</option>';
        data.forEach(student => {
          studentSelect.innerHTML += `<option value="${student.id}">${student.name}</option>`;
        });
      });
  }

  // تحميل الإجراءات
  function loadProcedures(violationId) {
    fetch(`get_procedures.php?violation_id=${violationId}`)
      .then(response => response.json())
      .then(data => {
        const proceduresDiv = document.getElementById('procedures');
        proceduresDiv.innerHTML = '';
        data.forEach(procedure => {
          proceduresDiv.innerHTML += `
                        <div>
                            <input type="radio" name="procedure" value="${procedure.id}">
                            <label>${procedure.name}</label>
                        </div>`;
        });
      });
  }

  // إرسال النموذج
  document.getElementById('violationForm').addEventListener('submit', function(e) {
    e.preventDefault();
    const formData = new FormData(this);

    fetch('save_violation.php', {
        method: 'POST',
        body: formData
      })
      .then(response => response.json())
      .then(data => {
        if (data.success) {
          alert('تم حفظ المخالفة بنجاح');
          this.reset();
        } else {
          alert('حدث خطأ أثناء حفظ المخالفة');
        }
      });
  });
});